it.reply.healty.innovapuglia.mstaccuino.service

## Class SystemLogService

- java.lang.Object
- - it.reply.healty.innovapuglia.mstaccuino.service.SystemLogService

-     @Component
      public class SystemLogService
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemLogService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `writeRequestMessage(SOAPMessageContext context, String operation)` Scrive il messaggio di request
    `void` | `writeResponseMessage(SOAPMessageContext context, boolean success, String systemLogId)` Scrive il messaggio di response

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemLogService

          public SystemLogService()

  - ### Method Detail

    - #### writeRequestMessage

          public String writeRequestMessage(SOAPMessageContext context,
                                            String operation)
                                     throws SOAPException,
                                            IOException

      Scrive il messaggio di request
      Parameters:
        `context` - Il contesto di messaggio SOAP
        `operation` - L'operazione da scrivere su db
      Returns:
        l'ID del system log creato
      Throws:
        `IOException` - Se si verifica un errore di input/output durante la manipolazione del messaggio.
        `SOAPException` - Se si verifica un errore nel contesto SOAP.

    - #### writeResponseMessage

          public void writeResponseMessage(SOAPMessageContext context,
                                           boolean success,
                                           String systemLogId)
                                    throws IOException,
                                           SOAPException

      Scrive il messaggio di response
      Parameters:
        `context` - Il contesto di messaggio SOAP
        `success` - Un parametro che indica se l'operazione è andata a buon fine oppure no
        `systemLogId` - l'ID del systemlog da aggiornare
      Throws:
        `IOException` - Se si verifica un errore di input/output durante la manipolazione del messaggio.
        `SOAPException` - Se si verifica un errore nel contesto SOAP.

Copyright © 2024. All rights reserved.